DelegatingFragmentContentHandler (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.intermediate

## Class DelegatingFragmentContentHandler

- java.lang.Object
- - org.apache.fop.util.DelegatingContentHandler
  - - org.apache.fop.render.intermediate.DelegatingFragmentContentHandler

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler, LexicalHandler

      public class DelegatingFragmentContentHandler
      extends DelegatingContentHandler

  This class is a `DelegatingContentHandler` subclass which swallows the `startDocument()` and `endDocument()` methods. This is useful for handling XML fragments.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingFragmentContentHandler(ContentHandler delegate)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endDocument()`
    `void` | `startDocument()`

    - ### Methods inherited from class org.apache.fop.util.DelegatingContentHandler

      `characters, comment, endCDATA, endDTD, endElement, endEntity, endPrefixMapping, error, fatalError, getDelegateContentHandler, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDelegateContentHandler, setDelegateDTDHandler, setDelegateEntityResolver, setDelegateErrorHandler, setDelegateLexicalHandler, setDocumentLocator, skippedEntity, startCDATA, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingFragmentContentHandler

          public DelegatingFragmentContentHandler(ContentHandler delegate)

      Main constructor
      Parameters:
        `delegate` - the content handler to delegate the SAX events to

  - ### Method Detail

    - #### startDocument

          public void startDocument()
                             throws SAXException

      Specified by:
        `startDocument` in interface `ContentHandler`
      Overrides:
        `startDocument` in class `DelegatingContentHandler`
      Throws:
        `SAXException`

    - #### endDocument

          public void endDocument()
                           throws SAXException

      Specified by:
        `endDocument` in interface `ContentHandler`
      Overrides:
        `endDocument` in class `DelegatingContentHandler`
      Throws:
        `SAXException`

Copyright © 2025 Apache Software Foundation. All rights reserved.